# Interface QuorumMXBean

All Known Implementing Classes:
  `QuorumBean`

public interface QuorumMXBean
An MBean representing a zookeeper cluster nodes (aka quorum peers)

## Method Summary

Modifier and Type
Method
Description
`void`
`disableDigest()`
`boolean`
`getDigestEnabled()`
`int`
`getInitLimit()`
`String`
`getName()`
`long`
`getObserverElectionDelayMS()`
`int`
`getQuorumSize()`
`int`
`getSyncLimit()`
`boolean`
`isPortUnification()`
`boolean`
`isSslQuorum()`
`void`
`setInitLimit(int initLimit)`
`void`
`setObserverElectionDelayMS(long delayMS)`
Set the Observer Leader Election Reconnect Delay time in MS
`void`
`setSyncLimit(int syncLimit)`

## Method Details

### getName

String getName()

Returns:
  the name of the quorum

### getQuorumSize

int getQuorumSize()

Returns:
  configured number of peers in the quorum

### getInitLimit

int getInitLimit()

Returns:
  the number of ticks that the initial synchronization phase can take

### getSyncLimit

int getSyncLimit()

Returns:
  the number of ticks that can pass between sending a request and getting an acknowledgment

### setInitLimit

void setInitLimit(int initLimit)

Parameters:
  `initLimit` - the number of ticks that the initial synchronization phase can take

### setSyncLimit

void setSyncLimit(int syncLimit)

Parameters:
  `syncLimit` - the number of ticks that can pass between sending a request and getting an acknowledgment

### isSslQuorum

boolean isSslQuorum()

Returns:
  SSL communication between quorum members required

### isPortUnification

boolean isPortUnification()

Returns:
  SSL communication between quorum members enabled

### getObserverElectionDelayMS

long getObserverElectionDelayMS()

Returns:
  Observer Leader Election Reconnect Delay time in MS

### setObserverElectionDelayMS

void setObserverElectionDelayMS(long delayMS)
Set the Observer Leader Election Reconnect Delay time in MS

### getDigestEnabled

boolean getDigestEnabled()

### disableDigest

void disableDigest()